- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
qi::TypeImpl< AnyValue > Class Template Reference

`#include <anyvalue.hxx>`

## Public Types
using | Methods = DefaultTypeImplMethods< AnyValue, TypeByPointerPOD< AnyValue >>

## Public Member Functions
AnyReference | get (void *storage) override
| Get a reference to the underlying element. More...
void | set (void **storage, AnyReference src) override
| Set the underlying element. More...
| _QI_BOUNCE_TYPE_METHODS (Methods)
Public Member Functions inherited from qi::DynamicTypeInterface
TypeKind | kind () override
Public Member Functions inherited from qi::TypeInterface
virtual | ~TypeInterface ()=default
virtual const TypeInfo & | info ()=0
| Get the TypeInfo corresponding to this type. More...
virtual void * | initializeStorage (void *ptr=nullptr)=0
virtual void * | ptrFromStorage (void **)=0
virtual void * | clone (void *)=0
| Allocate a storage and copy the value given as an argument. More...
virtual void | destroy (void *)=0
| Free all resources of a storage. More...
virtual bool | less (void *a, void *b)=0
const char * | infoString ()
qi::Signature | signature (void *storage=nullptr, bool resolveDynamic=false)

## Additional Inherited Members
Static Public Member Functions inherited from qi::TypeInterface
static TypeInterface * | fromSignature (const qi::Signature &sig)

## Detailed Description

### template<>
class qi::TypeImpl< AnyValue >

Definition at line 20 of file anyvalue.hxx.

## Member Typedef Documentation

using qi::TypeImpl< AnyValue >::Methods = DefaultTypeImplMethods<AnyValue, TypeByPointerPOD<AnyValue>>

Definition at line 36 of file anyvalue.hxx.

## Member Function Documentation

qi::TypeImpl< AnyValue >::_QI_BOUNCE_TYPE_METHODS | ( | Methods |  | ) |

AnyReference qi::TypeImpl< AnyValue >::get | ( | void * | storage | ) |
| inline override virtual

Get a reference to the underlying element.

Implements qi::DynamicTypeInterface.

Definition at line 23 of file anyvalue.hxx.

void qi::TypeImpl< AnyValue >::set | ( | void ** | storage,
|  | AnyReference | source
| ) |  |
| inline override virtual

Set the underlying element.

Implements qi::DynamicTypeInterface.

Definition at line 29 of file anyvalue.hxx.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/anyvalue.hxx